<template>
    <div v-if="resource && resource.attachment">
        <!--http://arquitectura.unam.mx/uploads/8/1/1/0/8110907/la_historia_de_la_msica.pdf         
                src="public\uploads\1511187273.pdf"
                http://127.0.0.1:8080/uploads/1511187273.pdf
                src="https://docs.google.com/viewer?url=AQUÍ URL PDF O DOCUMENTO&embedded=true" -->
        <iframe
            v-if="resource.attachment.includes('doc') || resource.attachment.includes('docx')"
            class="pdf"
            :src="`https://docs.google.com/gview?url=https://para-lideres-bucket.s3.amazonaws.com/${resource.attachment}&embedded=true`"
            width="100%"
            height="100%"
        ></iframe>
        <iframe v-else class="pdf" :src="`https://para-lideres-bucket.s3.amazonaws.com/${resource.attachment}`" width="100%" height="100%"> </iframe>
    </div>
    <div v-else>
        <p>No disponible</p>
    </div>
</template>
<script>
export default {
    name: 'PdfRecurso',
    props: ['resource']
};
</script>
<style scoped>
.pdf {
    height: 805px;
}
</style>
